﻿using System;

namespace StringComparisonDemo
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com - String Comparison Example");

            // Example 1: Basic Equality Check with String.Equals
            string fruit1 = "apple";
            string fruit2 = "Apple";

            Console.WriteLine($"Comparing '{fruit1}' and '{fruit2}' for equality:");

            // Using String.Equals for ordinal comparison (case-sensitive)
            bool isEqualOrdinal = String.Equals(fruit1, fruit2, StringComparison.Ordinal);
            Console.WriteLine($"Ordinal Comparison: {isEqualOrdinal}");

            // Using String.Equals for ordinal ignore case comparison
            bool isEqualOrdinalIgnoreCase = String.Equals(fruit1, fruit2, StringComparison.OrdinalIgnoreCase);
            Console.WriteLine($"Ordinal Ignore Case Comparison: {isEqualOrdinalIgnoreCase}");

            // Example 2: Basic Equality Check with ==
            bool isEqualWithEqualityOperator = (fruit1 == fruit2);
            Console.WriteLine($"Equality Check with == Operator: {isEqualWithEqualityOperator}");

            Console.ReadLine();
        }
    }
}
